AT&T U-verse Arris Modems NVG589 / NVG599 / 5268AC Multiple Vulnerabilities (SharknATTo)

high Nessus Plugin ID 102916
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 5.9

Synopsis

The remote device is affected by multiple vulnerabilities, including multiple remote code execution vulnerabilities.

Description

The remote Arris device's self report model is NVG589, NVG599 or 5268AC.
It is, therefor, affected by multiple vulnerabilities, including a firewall bypass, multiple instances of hardcoded credentials, privilege escalation, and remote code execution.

Note: Nessus has not checked the firmware version and is detecting this vulnerability based on the device's self reported model number.

Solution

No vendor-supplied fix is currently available. Contact vendor for further details.

See Also

https://www.nomotion.net/blog/sharknatto/

Plugin Details

Severity: High

ID: 102916

File Name: arris_modem_sharknatto.nasl

Version: 1.7

Type: remote

Family: CGI abuses

Published: 9/1/2017

Updated: 11/12/2019

Dependencies: http_version.nasl

Configuration: Enable paranoid mode

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS Score Source: CVE-2017-14116

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

CVSS v3.0

Base Score: 8.1

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:U/RC:X

Vulnerability Information

Required KB Items: Settings/ParanoidReport

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 8/31/2017

Reference Information

CVE: CVE-2017-14115, CVE-2017-10793, CVE-2017-14116, CVE-2017-14117

BID: 100585